
package com.tmerclub.cloud.common.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * VO
 *
 * @author tmerclub
 * @date 2023-11-09 18:00:43
 */
public class StockPointSkuVO extends BaseVO{
    private static final long serialVersionUID = 1L;

    @Schema(description = "库存商品关联skuid")
    private Long stockPointSkuId;

    @Schema(description = "库存点id")
    private Long stockPointId;

    @Schema(description = "库存点类型 1仓库 2门店 ")
    private Integer stockPointType;

    @Schema(description = "spuId")
    private Long spuId;

    @Schema(description = "skuid")
    private Long skuId;

    @Schema(description = "当商品为代销商品时，供应商商品skuid")
    private Long supplierSkuId;

    @Schema(description = "状态（对应sku的状态） 1:enable, 0:disable, -1:deleted")
    private Integer status;

    @Schema(description = "库存")
    private Integer stock;

    @Schema(description = "仓库类型 0默认仓库 1区域仓库 ")
    private Integer type;

    @Schema(description = "库存模式")
    private Integer stockMode;

    public StockPointSkuVO() {
    }

    public StockPointSkuVO(Long skuId, Long stockPointId) {
        this.skuId = skuId;
        this.stockPointId = stockPointId;
    }

    public Integer getStockMode() {
        return stockMode;
    }

    public void setStockMode(Integer stockMode) {
        this.stockMode = stockMode;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Integer getStock() {
        return stock;
    }

    public void setStock(Integer stock) {
        this.stock = stock;
    }

    public Long getStockPointSkuId() {
        return stockPointSkuId;
    }

    public void setStockPointSkuId(Long stockPointSkuId) {
        this.stockPointSkuId = stockPointSkuId;
    }

    public Long getStockPointId() {
        return stockPointId;
    }

    public void setStockPointId(Long stockPointId) {
        this.stockPointId = stockPointId;
    }

    public Integer getStockPointType() {
        return stockPointType;
    }

    public void setStockPointType(Integer stockPointType) {
        this.stockPointType = stockPointType;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getSupplierSkuId() {
        return supplierSkuId;
    }

    public void setSupplierSkuId(Long supplierSkuId) {
        this.supplierSkuId = supplierSkuId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "StockPointSkuVO{" +
                "stockPointSkuId=" + stockPointSkuId +
                ", stockPointId=" + stockPointId +
                ", stockPointType=" + stockPointType +
                ", spuId=" + spuId +
                ", skuId=" + skuId +
                ", supplierSkuId=" + supplierSkuId +
                ", status=" + status +
                ", stock=" + stock +
                ", type=" + type +
                ", stockMode=" + stockMode +
                '}';
    }
}
